Upstream information

CVE-2015-8019 at MITRE

Description

The skb_copy_and_csum_datagram_iovec function in net/core/datagram.c in the Linux kernel 3.14.54 and 3.18.22 does not accept a length argument, which allows local users to cause a denial of service (memory corruption) or possibly have unspecified other impact via a write system call followed by a recvmsg system call.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.2 4.3
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Local Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Complete None
Integrity Impact Complete Partial
Availability Impact Complete None
SUSE Bugzilla entries: 1032268 [RESOLVED / FIXED], 951199 [RESOLVED / FIXED], 952587 [RESOLVED / FIXED], 979078 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Live Patching 12
  • kgraft-patch-3_12_49-11-default >= 5-14.2
  • kgraft-patch-3_12_49-11-xen >= 5-14.2
  • kgraft-patch-3_12_51-60_20-default >= 5-2.1
  • kgraft-patch-3_12_51-60_20-xen >= 5-2.1
  • kgraft-patch-3_12_51-60_25-default >= 4-2.1
  • kgraft-patch-3_12_51-60_25-xen >= 4-2.1
  • kgraft-patch-SLE12-SP1_Update_0 >= 5-14.2
  • kgraft-patch-SLE12-SP1_Update_1 >= 5-2.1
  • kgraft-patch-SLE12-SP1_Update_2 >= 4-2.1
Patchnames:
SUSE-SLE-Live-Patching-12-2016-1157
SUSE-SLE-Live-Patching-12-2016-1182
SUSE-SLE-Live-Patching-12-2016-1183
SUSE Linux Enterprise Server 12-LTSS
  • kgraft-patch-3_12_48-52_27-default >= 5-2.2
  • kgraft-patch-3_12_48-52_27-xen >= 5-2.2
  • kgraft-patch-3_12_51-52_31-default >= 5-2.2
  • kgraft-patch-3_12_51-52_31-xen >= 5-2.2
  • kgraft-patch-SLE12_Update_8 >= 5-2.2
  • kgraft-patch-SLE12_Update_9 >= 5-2.2
Patchnames:
SUSE-SLE-SERVER-12-2016-1175
SUSE-SLE-SERVER-12-2016-1176
SUSE Linux Enterprise Server for SAP Applications 12
  • kgraft-patch-3_12_48-52_27-default >= 5-2.2
  • kgraft-patch-3_12_48-52_27-xen >= 5-2.2
  • kgraft-patch-3_12_51-52_31-default >= 5-2.2
  • kgraft-patch-3_12_51-52_31-xen >= 5-2.2
  • kgraft-patch-SLE12_Update_8 >= 5-2.2
  • kgraft-patch-SLE12_Update_9 >= 5-2.2
Patchnames:
SUSE-SLE-SAP-12-2016-1175
SUSE-SLE-SAP-12-2016-1176
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • kgraft-patch-3_12_48-52_27-default >= 5-2.2
  • kgraft-patch-3_12_48-52_27-xen >= 5-2.2
  • kgraft-patch-3_12_51-52_31-default >= 5-2.2
  • kgraft-patch-3_12_51-52_31-xen >= 5-2.2
  • kgraft-patch-SLE12_Update_8 >= 5-2.2
  • kgraft-patch-SLE12_Update_9 >= 5-2.2
Patchnames:
SUSE-SLE-SERVER-12-2016-1175
SUSE-SLE-SERVER-12-2016-1176


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP3 kernel-source Not affected
SUSE Linux Enterprise Desktop 11 SP4 kernel-source Not affected
SUSE Linux Enterprise Desktop 12 GA kernel-source Already fixed
SUSE Linux Enterprise Server 11 SP3 kernel-source Not affected
SUSE Linux Enterprise Server 11 SP4 kernel-source Not affected
SUSE Linux Enterprise Server 12 GA kernel-source Already fixed
SUSE Linux Enterprise Server for VMWare 11 SP3 kernel-source Not affected